<template>
    <div>
        <Fieldset :title="props.title">

            <!--<FormInput v-model="plan.nom"
                       type="text"
                       name="nom"
                       :ref="addFormInputRef"
                       :label="t(props.nomLabel ?? 'plan.nom')"
                       @validated="handleValidation" />-->
            <FormSelect name="plannumero"
                        v-model="model.numeroLot"
                        :label="t('reintialiser.lotnumero')"
                        :options="props.options"
                        :nolabel="props.nolabel"
                        :ref="addFormSelectRef"
                        @validated="handleValidation"/>
        </Fieldset>

    </div>
</template>

<script lang="ts" setup>
    import { ref, watch } from "vue";
    import { Status } from "@/validation";
    import { useI18n } from "vue3-i18n";
    import { FormOption } from "@/types/formOption";

    import FormSelect from "@/components/forms/FormSelect.vue";
    import Fieldset from "@/components/forms/Fieldset.vue";
    import { PLan } from "@/types/entities/plan";
import { NumLot } from "../../types";


    const { t } = useI18n();

    // eslint-disable-next-line no-undef
    const props = defineProps<{
        nolabel: boolean,
        options: FormOption[],
        model:NumLot,
        title: string

    }>()    


    const model = ref<NumLot>(props.model)

    // eslint-disable-next-line
    const emit = defineEmits<{
        (event: "handleValidation", name: string, validationStatus: Status): void
        (event: "registerFormSelectRef", ref: typeof FormSelect): void
    }>()


    function addFormSelectRef(ref: typeof FormSelect) {
        emit("registerFormSelectRef", ref);
    }



    async function handleValidation(name: string, validationStatus: Status) {
        emit("handleValidation", name, validationStatus);
    }
</script>
